/*
Theme Name: PAKKI (Avada Child)
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/


/*

todo: get breakpoints from avada options and use as variable?

*/


/* colors */
:root {
	--white: var(--awb-color1);
	--primary: var(--awb-color4);
	--primary-light: var(--awb-color5);
	--primary-lighter: var(--awb-color6);
}


/* default */
p:empty{
	display: none;
}
.fusion-text h1, .fusion-text h2, .fusion-text h3, .fusion-title h1, .fusion-title h2, .fusion-title h3{
	@media (max-width: 639px){
		hyphens: auto;
	}
}
.fusion-title p{
	margin: 0;
}
.fusion-text.lead p, .fusion-content-tb.lead p{
	@media (max-width: 1024px){
		font-size: 23px;
	}
	@media (max-width: 639px){
		font-size: 21px;
	}
}
.fusion-text ul, .fusion-text ol, .fusion-content-tb ol, .toggle-content ol{
	padding-left: 1em;
}
.fusion-text ol li:not(:first-child), .fusion-text ul li:not(:first-child), .fusion-content-tb ol li:not(:first-child), .fusion-content-tb ul li:not(:first-child), .toggle-content ol li:not(:first-child), .toggle-content ul li:not(:first-child){
	margin-top: .5em;
}
.fusion-text ul, .fusion-content-tb ul, .toggle-content ul{
	list-style: none;
	padding: 0;
}
.fusion-text ul li, .fusion-content-tb ul li, .toggle-content ul li{
	padding-left: 1em;
    text-indent: -1em;
}
.fusion-text ul li:before, .fusion-content-tb ul li:before, .toggle-content ul li:before{
	content: "-";
    display: block;
    float: left;
    width: 1em;
}
.hide-desktop{
	@media (min-width: 1025px) {
		display: none!important;
	}
}
.hyphens-on{
	hyphens: auto;
}
.no-underline a{
	text-decoration: none!important;
}
@media (max-width: 600px){
	.banner-home h1{
		letter-spacing: 0!important;
  		hyphens: none!important;
  		--fontSize: 60!important;
	}
}

.fusion-button.fusion-button-default{
	@media (max-width: 1024px){
		padding: 13px 40px!important;
	}
	@media (max-width: 639px){
		padding: 11px 30px!important;
	}
}
.ilightbox-holder.metro-white{
	border-radius: 15px;
}
.ilightbox-holder.metro-white .ilightbox-container{
	padding: 10px;
}
.ilightbox-holder.metro-white .ilightbox-inner-toolbar .ilightbox-title{
	padding-bottom: 2px!important;
}
.ilightbox-holder.metro-white .ilightbox-image{
	border-radius: 10px;
}
.fusion-accordian .panel-body img{
	border-radius: 10px;
}
.w-100, .w-100 img{
	width: 100%;
}

.fusion-placeholder-image{
	background: var(--primary-light)!important;
}
.fusion-placeholder-image::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  filter: brightness(0) invert(1);
  opacity: .5;
}

.pointer-events-none{
	pointer-events: none;
}
.pointer-events-all{
	pointer-events: all;
}


/* copyright */
.copyright p{
	transition: .5s;
	display: inline-block;
	padding: 3px 5px;
	border-radius: 3px;
	backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, .15);
}
.copyright:hover p{
	color: var(--white);
	background-color: rgba(0, 0, 0, .5);
}


/* person */
.pakki-person .person-content{
	margin-top: 0!important;
}


/* header */
#header .contact a:not(:first-child){
	margin-left: 24px;
}
#header .logo .fusion-column-wrapper{
	@media (max-width: 1024px){
		justify-content: center!important;
	}
}


/* content */
#content{
	margin-bottom: 0!important;
}


/* footer */
#socket .awb-menu ul li:first-child span{
	border-left: 0;
}


/* home schwerpunkte */
@media (min-width: 640px){
	.focus-img-left{
		border-top-left-radius: 0!important;
		border-bottom-left-radius: 0!important;
	}
	.focus-img-right{
		border-top-right-radius: 0!important;
		border-bottom-right-radius: 0!important;
	}
}


/* blog */
.posts-home .fusion-grid > li{
	--awb-inner-bg-color-hover: var(--white)!important;
}
.posts-home .fusion-grid > li:hover a, .posts-archive .fusion-grid > li:hover a{
	color: var(--primary);
}
.posts-home .fusion-grid > li:last-child{
	@media (min-width: 640px) and (max-width: 1024px){
		display: none;
	}
}
.fusion-content-tb p:last-child{
	margin-bottom: 0;
}
